## nodejs 12.20.1~dfsg

=== debian/changelog ===
nodejs (12.20.1~dfsg-3) unstable; urgency=medium

  * Team upload
  * Provide node-types-node (Closes: #979698)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 13:05:02 +0100

nodejs (12.20.1~dfsg-2) unstable; urgency=medium

  * Team upload
  * Indicate that it breaks node-typescript-types < 20210110~
    (Closes: #979693)

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 Jan 2021 10:18:57 +0100

nodejs (12.20.1~dfsg-1) unstable; urgency=medium

  * New upstream version 12.20.1~dfsg. Closes: #979364.
    Fixed vulnerabilities:
    + CVE-2020-8265: use-after-free in TLSWrap (High)
    + CVE-2020-8287: HTTP Request Smuggling (Low)
  * Patch to always use pure javascript cjs lexer instead
    of wasm files that can't be generated with currently
    available packages.
  * copyright: cjs-module-lexer is expat
  * copyright: exclude cjs-module-lexer unbuildable files
  * copyright: fix some copyright years
  * lintian-overrides: false positive for a unicode regexp
  * copyright: shjs is no longer used

 -- Jérémy Lal <kapouer@melix.org>  Sun, 10 Jan 2021 00:02:53 +0100
