## nodejs 12.20.2~dfsg

=== debian/changelog ===
nodejs (12.20.2~dfsg-2) unstable; urgency=medium

  * Source-only upload. Closes: #982787 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 14 Feb 2021 15:37:36 +0100

nodejs (12.20.2~dfsg-1) unstable; urgency=medium

  * New upstream version 12.20.2~dfsg

  [ lintian-brush ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Security-Contact.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Modernize debian/watch
  * Add ctype=nodejs to component(s)
  * Update d/copyright urls

 -- Jérémy Lal <kapouer@melix.org>  Fri, 12 Feb 2021 10:35:48 +0100
