## nodejs 12.21.0~dfsg

=== debian/changelog ===
nodejs (12.21.0~dfsg-3) unstable; urgency=medium

  * Upstream patch fix test-worker-prof (Closes: #985550)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 19 Mar 2021 18:43:52 +0100

nodejs (12.21.0~dfsg-2) unstable; urgency=medium

  [ James Addison ]
  * THP ELF assembly: Add .note.GNU-stack section (Closes: #980272)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 19 Mar 2021 11:15:57 +0100

nodejs (12.21.0~dfsg-1) unstable; urgency=high

  * New upstream version 12.21.0~dfsg
    Fixed vulnerabilities:
    + CVE-2021-22883: HTTP2 'unknownProtocol' cause DoS
      by resource exhaustion
    + CVE-2021-22884: localhost6 DNS rebinding in --inspect

 -- Jérémy Lal <kapouer@melix.org>  Tue, 23 Feb 2021 19:14:23 +0100
