=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-buildinfo,
  bash-completion,
  ca-certificates,
@@ -30,10 +30,11 @@
  zlib1g-dev,
 Build-Depends-Indep: node-js-yaml,
  node-marked
-Standards-Version: 4.5.0
-Homepage: http://nodejs.org/
+Standards-Version: 4.5.1
+Homepage: https://nodejs.org/
 Vcs-Browser: https://salsa.debian.org/js-team/nodejs/tree/master-12.x
 Vcs-Git: https://salsa.debian.org/js-team/nodejs.git -b master-12.x
+Rules-Requires-Root: no
 
 Package: libnode-dev
 Section: libdevel
@@ -132,4 +133,3 @@
  HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
  .
  This package contains API documentation for Node.js.
-
