## nodejs 12.22.5~dfsg

=== debian/changelog ===
nodejs (12.22.5~dfsg-5ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing
    - Cherry-pick upstream 7232c2a1604d241ce0455d919ba9b0b8e9959f81
      to fix a build failure with new glibc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Sep 2021 11:36:21 +0200

nodejs (12.22.5~dfsg-5) unstable; urgency=medium

  * Team upload
  * b-d sse2-support <!nocheck> [i386] in order
    to improve cross build

 -- Bastien Roucariès <rouca@debian.org>  Tue, 21 Sep 2021 08:16:57 +0000

nodejs (12.22.5~dfsg-4) unstable; urgency=medium

  * Team upload
  * b-d sse2-support (Closes: #994720)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 19 Sep 2021 20:34:51 +0000

nodejs (12.22.5~dfsg-3) unstable; urgency=medium

  * Team upload
  * MA: allowed. Thanks Helmut for helping fix crossbuild.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 16 Sep 2021 20:20:43 +0000

nodejs (12.22.5~dfsg-2ubuntu2) impish; urgency=medium

  * Cherry-pick upstream 7232c2a1604d241ce0455d919ba9b0b8e9959f81
    to fix a build failure with new glibc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Aug 2021 09:51:31 +0200

nodejs (12.22.5~dfsg-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Aug 2021 22:18:45 +0200

nodejs (12.22.5~dfsg-2) unstable; urgency=medium

  * ares_compat.patch let node compile against ares < 1.17.2
    Closes: #992112

 -- Jérémy Lal <kapouer@melix.org>  Wed, 11 Aug 2021 21:06:00 +0200

nodejs (12.22.5~dfsg-1) unstable; urgency=medium

  * New upstream version 12.22.5~dfsg
    + Follow-up fix for CVE-2021-22930 as the issue was not completely
      resolved by the version 12.22.4 (High).
    + CVE-2021-22939: Incomplete validation of rejectUnauthorized
      parameter (Low).

 -- Jérémy Lal <kapouer@melix.org>  Wed, 11 Aug 2021 19:36:57 +0200

nodejs (12.22.4~dfsg-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Aug 2021 21:35:41 +0200

nodejs (12.22.4~dfsg-1) unstable; urgency=medium

  * New upstream version 12.22.4~dfsg
    Fixed vulnerabilities:
    + CVE-2021-22930: Use after free on close http2
      on stream canceling (High)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 30 Jul 2021 01:02:46 +0200

nodejs (12.21.0~dfsg-5ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Jul 2021 16:05:45 +0200

nodejs (12.21.0~dfsg-5) unstable; urgency=medium

  * Patch uvwasi.gyp to honour --shared-libuv. Closes: #990569.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 03 Jul 2021 20:50:29 +0200

nodejs (12.21.0~dfsg-4ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Apr 2021 17:41:21 +0200

nodejs (12.21.0~dfsg-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * nodejs: Add Breaks: node-babel-runtime (<< 7)
    for smoother upgrades from buster. (Closes: #987301)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Apr 2021 12:42:46 +0200

nodejs (12.21.0~dfsg-3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Mar 2021 10:05:40 +0100

nodejs (12.21.0~dfsg-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Feb 2021 21:22:47 +0100

nodejs (12.20.1~dfsg-3ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Jan 2021 15:21:40 +0100

nodejs (12.20.1~dfsg-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Jan 2021 17:52:34 +0100

nodejs (12.19.0~dfsg-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Oct 2020 15:14:11 +0100
