=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
+ sse2-support [i386] <!nocheck>,
  debhelper-compat (= 13),
  dh-buildinfo,
  bash-completion,
@@ -59,17 +60,18 @@
 
 Package: nodejs
 Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
-Multi-Arch: foreign
+Multi-Arch: allowed
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libnode72 (= ${binary:Version})
+ libnode72 (= ${binary:Version}),
+ sse2-support [i386]
 Recommends: ca-certificates,
  nodejs-doc
 Suggests: npm
 Replaces: nodejs-legacy
 Conflicts: nodejs-legacy
-Breaks: node-typescript-types (<< 20210110~)
+Breaks: node-typescript-types (<< 20210110~), node-babel-runtime (<< 7)
 Provides: node-types-node (= ${types:Node})
 Description: evented I/O for V8 javascript - runtime executable
  Node.js is a platform built on Chrome's JavaScript runtime for easily
