=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: nodejs
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@alioth-lists.debian.net>
+Uploaders: Jérémy Lal <kapouer@melix.org>,
+ Jonas Smedegaard <dr@jones.dk>
 Section: javascript
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@alioth-lists.debian.net>
-Uploaders: Jérémy Lal <kapouer@melix.org>,
- Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  sse2-support [i386] <!nocheck>,
  debhelper-compat (= 13),
@@ -11,44 +12,49 @@
  bash-completion,
  ca-certificates,
  curl,
- gyp (>= 0.1~svn1773),
+ gyp,
  jq,
  libbrotli-dev,
- libc-ares-dev (>= 1.14~),
+ libbrotli-dev:native,
+ libc-ares-dev,
+ libc-ares-dev:native,
  libhttp-parser-dev (>= 2.9.2~),
  libicu-dev (>= 64.0~),
+ libicu-dev:native,
  libkvm-dev [kfreebsd-any],
  libnghttp2-dev (>= 1.41.0~),
- libssl-dev (>= 1.1.1~),
- libuv1-dev (>= 1.33.0~),
+ libnghttp2-dev:native,
+ libssl-dev,
+ libssl-dev:native,
+ libuv1-dev (>= 1.38.0~),
+ libuv1-dev:native,
  node-acorn (>= 6.2.1~),
- openssl (>= 1.1.1~),
+ openssl,
  pkg-config,
  pkg-js-tools (>= 0.8.2~),
- python3,
+ python3:native,
  python3-distutils,
  procps,
  zlib1g-dev,
+ zlib1g-dev:native
 Build-Depends-Indep: node-js-yaml,
  node-marked
-Standards-Version: 4.5.1
-Homepage: https://nodejs.org/
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/nodejs/tree/master-12.x
 Vcs-Git: https://salsa.debian.org/js-team/nodejs.git -b master-12.x
+Homepage: https://nodejs.org/
 Rules-Requires-Root: no
 
 Package: libnode-dev
+Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
 Section: libdevel
-Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
 Depends: ${misc:Depends},
- libssl-dev (>= 1.1.1~),
+ libssl-dev,
  libuv1-dev (>= 1.33.0~),
  libnode72 (= ${binary:Version})
 Breaks: nodejs-dev (<< 10.0.0~dfsg1-3)
-Replaces: libv8-dev,
- nodejs-dev (<< 10.0.0~dfsg1-3)
-Conflicts: libv8-dev (<= 3.14.5.8-11)
 Provides: libv8-dev
+Replaces: nodejs-dev (<< 10.0.0~dfsg1-3)
 Description: evented I/O for V8 javascript (development files)
  Node.js is a platform built on Chrome's JavaScript runtime for easily
  building fast, scalable network applications. Node.js uses an
@@ -69,8 +75,6 @@
 Recommends: ca-certificates,
  nodejs-doc
 Suggests: npm
-Replaces: nodejs-legacy
-Conflicts: nodejs-legacy
 Breaks: node-typescript-types (<< 20210110~), node-babel-runtime (<< 7)
 Provides: node-types-node (= ${types:Node})
 Description: evented I/O for V8 javascript - runtime executable
@@ -87,16 +91,13 @@
  HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
 
 Package: libnode72
-Section: libs
 Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
 Multi-Arch: same
+Section: libs
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  sse2-support [i386]
-Breaks: node-modern-syslog (<< 1.1.4-2),
- libnode64
-Replaces: nodejs-legacy
-Conflicts: nodejs-legacy
+Breaks: libnode64
 Description: evented I/O for V8 javascript - runtime library
  Node.js is a platform built on Chrome's JavaScript runtime for easily
  building fast, scalable network applications. Node.js uses an
@@ -113,14 +114,12 @@
  This package provides the dynamic library for Node.js.
 
 Package: nodejs-doc
-Section: doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends},
+ libjs-highlight.js
 Recommends: nodejs
-Depends: ${misc:Depends}
- , libjs-highlight.js
-Replaces: nodejs (<< 6.11.2~dfsg-3)
-Conflicts: nodejs (<< 6.11.2~dfsg-3)
 Description: API documentation for Node.js, the javascript platform
  Node.js is a platform built on Chrome's JavaScript runtime for easily
  building fast, scalable network applications. Node.js uses an
