=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildtools.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 # source equivalent of nodejs -e 'console.log(process.versions.modules)'
@@ -16,20 +18,20 @@
 export LANG
 DEB_CONFIGURE_NORMAL_ARGS =
 DEB_CONFIGURE_EXTRA_FLAGS = \
+--verbose \
 --without-npm \
 --shared \
 --shared-zlib \
 --shared-cares \
---shared-nghttp2 \
 --shared-brotli \
 --with-intl=system-icu \
 --prefix=/usr \
 --openssl-use-def-ca-store \
 --arch-triplet=$(DEB_HOST_MULTIARCH) \
---node-relative-path="lib/$(DEB_HOST_MULTIARCH)/nodejs:share/nodejs:lib/nodejs" \
---shared-libuv
-
-DEB_CONFIGURE_EXTRA_FLAGS += --shared-openssl
+--node-relative-path="lib/$(DEB_HOST_MULTIARCH)/nodejs:share/nodejs:lib/nodejs"
+
+DEB_CONFIGURE_EXTRA_FLAGS += --shared-nghttp2
+DEB_CONFIGURE_EXTRA_FLAGS += --shared-libuv
 
 # map HOST ARCH AND OS, and if unknown let upstream guess
 
@@ -198,7 +200,16 @@
 	find debian/nodejs-doc/usr/share/doc/nodejs-doc -name *.json -delete || true
 
 override_dh_auto_configure:
+# gyp    | debian
+# -------+-------
+# target | host
+# host   | build
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+	CC=$(CC) CXX=$(CXX) PKG_CONFIG=$(PKG_CONFIG) CC_host=$(CC_FOR_BUILD) CXX_host=$(CXX_FOR_BUILD) ./configure --cross-compiling $(DEB_CONFIGURE_EXTRA_FLAGS)
+else
 	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
+endif
 
 override_dh_auto_build-arch:
 	mkdir -p $(NODE_TEST_DIR)
