=== debian/tests/control ===
Test-Command: ./debian/rules check
Depends: @, ca-certificates, python3, python3-distutils, procps, curl, build-essential
